(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12537,        286]
NotebookOptionsPosition[     12067,        266]
NotebookOutlinePosition[     12523,        284]
CellTagsIndexPosition[     12480,        281]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q", "=", 
      RowBox[{"1", "/", "n"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(a\), \(n\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<a = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "a", "]"}], "]"}]}], "}"}], "]"}], ","}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<b = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "b", "]"}], "]"}]}], "}"}], "]"}], ","}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"ann", "=", 
            RowBox[{"q", "/.", 
             RowBox[{"n", "\[Rule]", "m"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"annn", "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"n", "\[Rule]", "m"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Framed", "@", 
            RowBox[{"Text", "@", 
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(a\), \(n\)]\) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<n = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "m", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a_\>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "m", "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "ann", "]"}]}], "}"}], 
                    "]"}], ",", "Purple", ",", "16"}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a_\>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "m", "]"}], ",", 
                    "\"\< = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"annn", ",", "15"}], "]"}]}], "}"}], "]"}], ",", 
                    "Purple", ",", "16"}], "]"}], ","}], "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(a\), \(n\)]\) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "ann", "]"}]}], "}"}], 
                    "]"}], ",", "Purple", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(a\), \(n\)]\) = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"annn", ",", "15"}], "]"}]}], "}"}], "]"}], ",", 
                   "Purple", ",", "16"}], "]"}]}], "\[IndentingNewLine]", 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}]}], ",",
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"m", ",", "1", ",", "\"\<n\>\""}], "}"}], ",", "1", ",", 
            "10000", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, {
   3.566912423979045*^9, 3.566912533025837*^9}, {3.5669125793726673`*^9, 
   3.566912648271785*^9}, {3.5669126819203176`*^9, 3.5669126881558313`*^9}, {
   3.566912726328166*^9, 3.5669127614529047`*^9}, {3.5669128146709757`*^9, 
   3.566912859796143*^9}, {3.566912949393096*^9, 3.566913025994329*^9}, {
   3.566913134143497*^9, 3.566913162398345*^9}, {3.5669174160888367`*^9, 
   3.566917416780896*^9}, {3.56704044628855*^9, 3.567040446449954*^9}, {
   3.567423217792897*^9, 3.5674233061996193`*^9}, {3.567425059919868*^9, 
   3.567425082560295*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`n^(-1)}, 
   TagBox[GridBox[{
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(a\\), \\(n\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`ann = 
           ReplaceAll[$CellContext`q$$, $CellContext`n -> $CellContext`m]; \
$CellContext`annn = N[
             ReplaceAll[$CellContext`q$$, $CellContext`n -> $CellContext`m]]; 
          Framed[
            Text[
             Column[{
               Style[
                Row[{"\!\(\*SubscriptBox[\(a\), \(n\)]\) = ", 
                  TraditionalForm[$CellContext`q$$]}], Black, 16], 
               Style[
                Row[{"n = ", 
                  TraditionalForm[$CellContext`m]}], Black, 16], 
               Style[
                Row[{"\!\(\*SubscriptBox[\(a\), \(n\)]\) = ", 
                  TraditionalForm[$CellContext`ann]}], Purple, 16], 
               Style[
                Row[{"\!\(\*SubscriptBox[\(a\), \(n\)]\) = ", 
                  NumberForm[$CellContext`annn, 15]}], Purple, 16]}, 
              Alignment -> Center]]], {{$CellContext`m, 1, "n"}, 1, 10000, 1},
           AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{307., {104., 110.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.5558633514797993`*^9, 3.5558633931126966`*^9}, 
   3.555863443647421*^9, 3.555863487584337*^9, 3.5558945221527452`*^9, 
   3.5558947833875313`*^9, 3.5558948363690987`*^9, 3.555894893770567*^9, 
   3.555894928838882*^9, {3.555895070822891*^9, 3.555895086676641*^9}, 
   3.555895137684021*^9, 3.555895180444125*^9, 3.566912929407496*^9, 
   3.566912998145887*^9, {3.566913028806953*^9, 3.566913053461597*^9}, {
   3.566913138508161*^9, 3.5669131904063387`*^9}, {3.567040448740921*^9, 
   3.5670404627857513`*^9}, {3.567423251619183*^9, 3.567423324123135*^9}, {
   3.56742506246661*^9, 3.567425086080813*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"THIS", " ", "NOTEBOOK", " ", 
  "IS"}], "\n", "\"\<Bard - Mathematica - Sequence Limit Approximations \
Demo\>\"", "\n", 
 RowBox[{"By", ":", " ", 
  RowBox[{"Ethan", " ", "Bloch"}]}]}], "Input",
 CellChangeTimes->{3.567423285496662*^9}]
},
WindowSize->{1002, 907},
WindowMargins->{{169, Automatic}, {Automatic, 10}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 8788, 180, 585, "Input"],
Cell[9370, 204, 2416, 51, 297, "Output"]
}, Open  ]],
Cell[11801, 258, 262, 6, 72, "Input"]
}
]
*)

(* End of internal cache information *)
